QGIS Application - Bug report #11506
WFS server: artifacts whe precision= 0 decimals
2014-10-27 09:31 AM - Paolo Cavallini

Status: Feedback

Priority: Normal

Assignee:

Category: QGIS Server

Affected QGIS version:3.4.5 Regression?: No
Operating System: Easy fix?: No
Pull Request or Patch supplied: Resolution:

Crashes QGIS or corrupls data: Copied to github as #: 19776
Description

If setting WFS decimals to 0 for a layer, the LizMap zoom to layer returns artifacts (lines pointing down to nowhere).

History

#1 - 2014-10-28 08:34 AM - Paolo Cavallini
- File wfs_0_decimals.png added

See the attached images: the correct one is with Project properties > OWS server > WFS server precision 8, the wrong one is with precision 0.
All rest equal.

#2 - 2014-10-28 08:34 AM - Paolo Cavallini
- File wfs_8_decimals.png added

#3 - 2015-04-03 11:00 AM - Regis Haubourg

confirmed here!

#4 - 2017-05-01 01:07 AM - Giovanni Manghi
- Regression? set to No

- Easy fix? set to No

#5 - 2018-03-07 04:46 PM - Paolo Cavallini
- Status changed from Open to Feedback

| don't have currently a working QGIS 3 server at hand. Régis, could you please test?
Thanks.

#6 - 2018-03-07 10:06 PM - Giovanni Manghi
- Status changed from Feedback to Open

#7 - 2019-03-09 04:09 PM - Giovanni Manghi

- Resolution set to end of life
- Status changed from Open to Closed
End of life notice: QGIS 2.18 LTR

Source:
http://blog.qgis.org/2019/03/09/end-of-life-notice-qgis-2-18-Itr/

#8 - 2019-03-09 04:23 PM - Paolo Cavallini

- Status changed from Closed to Feedback

- Affected QGIS version changed from master to 3.4.5
- Resolution deleted (end of life)

#9 - 2019-03-10 02:38 PM - Regis Haubourg

Hi Paolo,

I don't have either a working WFS right now. That would be neat to use make the OGC testing instances permanent and well advertised. I'll ask Paul about
this.

About the precision issue, isn't it that your data is in WGS84 and that asking for a precision of 0 leads to severely truncated geometries ? If right, this is not

an issue | think

#10 - 2019-03-10 02:58 PM - Paolo Cavallini

Project in 3857, data in 3003.

Thanks.
